Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Speech synthesis engine
Name:		flite
Version:	1.4
Release:	1
License:	CMU
URL:		http://www.speech.cs.cmu.edu/flite/index.html
Group:		User Interface/Speech Synthesis
Source0:	%{name}-%{version}-release.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: glibc-devel

%description
Flite (festival-lite) is a small, fast run-time synthesis engine developed at CMU and primarily designed for small embedded machines and/or large servers. Flite is designed as an alternative synthesis engine to Festival for voices built using the FestVox suite of voice building tools.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}-release

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--enable-shared \
		--disable-static

# parallel builds are broken, so just do is slow and save
make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALLBINDIR=%{buildroot}%{_bindir} INSTALLLIBDIR=%{buildroot}%{_libdir}  INSTALLINCDIR=%{buildroot}%{_includedir}/flite
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/flite
%{_bindir}/flite_cmu_time_awb
%{_bindir}/flite_cmu_us_awb
%{_bindir}/flite_cmu_us_kal
%{_bindir}/flite_cmu_us_kal16
%{_bindir}/flite_cmu_us_rms
%{_bindir}/flite_cmu_us_slt
%{_bindir}/flite_time
%{_libdir}/libflite_cmulex.so.*
%{_libdir}/libflite_cmu_time_awb.so.*
%{_libdir}/libflite_cmu_us_awb.so.*
%{_libdir}/libflite_cmu_us_kal16.so.*
%{_libdir}/libflite_cmu_us_kal.so.*
%{_libdir}/libflite_cmu_us_rms.so.*
%{_libdir}/libflite_cmu_us_slt.so.*
%{_libdir}/libflite.so.*
%{_libdir}/libflite_usenglish.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/flite
%{_libdir}/libflite.a
%{_libdir}/libflite_cmulex.a
%{_libdir}/libflite_cmulex.so
%{_libdir}/libflite_cmu_time_awb.a
%{_libdir}/libflite_cmu_time_awb.so
%{_libdir}/libflite_cmu_us_awb.a
%{_libdir}/libflite_cmu_us_awb.so
%{_libdir}/libflite_cmu_us_kal16.a
%{_libdir}/libflite_cmu_us_kal16.so
%{_libdir}/libflite_cmu_us_kal.a
%{_libdir}/libflite_cmu_us_kal.so
%{_libdir}/libflite_cmu_us_rms.a
%{_libdir}/libflite_cmu_us_rms.so
%{_libdir}/libflite_cmu_us_slt.a
%{_libdir}/libflite_cmu_us_slt.so
%{_libdir}/libflite.so
%{_libdir}/libflite_usenglish.a
%{_libdir}/libflite_usenglish.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Feb 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4-1
- Version update
* Tue Dec 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3-1
- Initial Release
